GeoTessCPP: geotess::GeoTessHorizonDepth Class Reference

GeoTessCPP 2.2.3 Software to facilitate storage and retrieval of 3D information about the Earth.

Public Member Functions | List of all members
geotess::GeoTessHorizonDepth Class Reference

Defines a "surface" in a model that resides at a constant depth. More...

`#include <GeoTessHorizonDepth.h>`

Inheritance diagram for geotess::GeoTessHorizonDepth:

## Public Member Functions
| GeoTessHorizonDepth (const double &dpth)
| GeoTessHorizonDepth (const double &dpth, const int &lyrIndex)
virtual | ~GeoTessHorizonDepth ()
| GeoTessHorizonDepth (GeoTessHorizonDepth &other)
GeoTessHorizonDepth & | operator= (const GeoTessHorizonDepth &other)
virtual string | class_name ()
virtual double | getValue ()
virtual double | getRadius (const double *position, GeoTessProfile **profiles)
virtual double | getRadius (GeoTessPosition &position)
virtual string | str ()
Public Member Functions inherited from geotess::GeoTessHorizon
| GeoTessHorizon (const int &lyrIndex)
virtual | ~GeoTessHorizon ()
virtual int | getLayerIndex ()

## Additional Inherited Members
Protected Attributes inherited from geotess::GeoTessHorizon
int | layerIndex

## Detailed Description

Defines a "surface" in a model that resides at a constant depth.

Defines a "surface" in a model that resides at a constant depth.

Author
  sballar

Definition at line 74 of file GeoTessHorizonDepth.h.

## Constructor & Destructor Documentation

## ◆ GeoTessHorizonDepth() [1/3]

geotess::GeoTessHorizonDepth::GeoTessHorizonDepth | ( | const double & | dpth | ) |
| inline

Constructor for a Horizon object that represents a constant depth within the Earth. Units are km below the surface of the GRS80 ellipsoid.

Since the layerIndex is not specified, the depth is not constrained to be within any particular layer.

Parameters

  dpth | depth in km below the surface of the GRS80 ellipsoid.

Definition at line 94 of file GeoTessHorizonDepth.h.

## ◆ GeoTessHorizonDepth() [2/3]

geotess::GeoTessHorizonDepth::GeoTessHorizonDepth | ( | const double & | dpth,
|  | const int & | lyrIndex
| ) |  |
| inline

Constructor for a Horizon object that represents a constant depth in the Earth, in km. Depth is measured relative to the surface of the WGS84 ellipsoid in km.

Since the layerIndex is specified, the depth will be constrained to be within the specified layer.

Parameters

  dpth | depth below the surface of WGS84 ellipsoid, in km.
  lyrIndex | the index of the layer within which the radius will be constrained.

Definition at line 107 of file GeoTessHorizonDepth.h.

## ◆ ~GeoTessHorizonDepth()

virtual geotess::GeoTessHorizonDepth::~GeoTessHorizonDepth | ( |  | ) |
| inlinevirtual

Destructor.

Definition at line 113 of file GeoTessHorizonDepth.h.

## ◆ GeoTessHorizonDepth() [3/3]

geotess::GeoTessHorizonDepth::GeoTessHorizonDepth | ( | GeoTessHorizonDepth & | other | ) |
| inline

Copy constructor.

Definition at line 118 of file GeoTessHorizonDepth.h.

## Member Function Documentation

## ◆ class_name()

virtual string geotess::GeoTessHorizonDepth::class_name | ( |  | ) |
| inlinevirtual

Reimplemented from geotess::GeoTessHorizon.

Definition at line 132 of file GeoTessHorizonDepth.h.

## ◆ getRadius() [1/2]

virtual double geotess::GeoTessHorizonDepth::getRadius | ( | const double * | position,
|  | GeoTessProfile ** | profiles
| ) |  |
| inlinevirtual

Return the radius of the Horizon at the specified geographic position and constrained by the specified array of Profiles, all of which are assumed to reside at the specified position.

Parameters

  position | the unit vector representing the position where the radius is to be determined. This should correspond to the position of the supplied array of Profiles.
  profiles | a 1D array of profiles at the specified position. The number of elements must be equal to the number of layers in the model with the first layer being the deepest (closest to the center of the Earth) and the last layer being the shallowest (farthest from the center of the Earth).

Returns
  the radius of the Horizon at the specified position and perhaps constrained to reside in the specified layer. Units are km.

Reimplemented from geotess::GeoTessHorizon.

Definition at line 136 of file GeoTessHorizonDepth.h.

## ◆ getRadius() [2/2]

virtual double geotess::GeoTessHorizonDepth::getRadius | ( | GeoTessPosition & | position | ) |
| inlinevirtual

Return the radius of the Horizon at the position of the specified GeoTessPosition object.

Parameters

  position |

Returns
  the radius of the Horizon at the specified position and perhaps constrained to reside in the specified layer. Units are km.

Exceptions

  GeoTessException |

Reimplemented from geotess::GeoTessHorizon.

Definition at line 151 of file GeoTessHorizonDepth.h.

## ◆ getValue()

virtual double geotess::GeoTessHorizonDepth::getValue | ( |  | ) |
| inlinevirtual

HorizonDepth objects return depth, HorizonRadius object return radius, and HorizonLayer object return fraction.

Reimplemented from geotess::GeoTessHorizon.

Definition at line 134 of file GeoTessHorizonDepth.h.

## ◆ operator=()

GeoTessHorizonDepth& geotess::GeoTessHorizonDepth::operator= | ( | const GeoTessHorizonDepth & | other | ) |
| inline

Overloaded assignment operator

Definition at line 125 of file GeoTessHorizonDepth.h.

## ◆ str()

virtual string geotess::GeoTessHorizonDepth::str | ( |  | ) |
| inlinevirtual

Reimplemented from geotess::GeoTessHorizon.

Definition at line 165 of file GeoTessHorizonDepth.h.

The documentation for this class was generated from the following file:

- rstt/GeoTessCPP/include/GeoTessHorizonDepth.h